> ## Documentation Index
> Fetch the complete documentation index at: https://padsplit-docs.fairsentry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Listing Status

> Get the status of a listing to see if it is currently potentially uncompliant or not.



## OpenAPI

````yaml openapi.json get /api/v1/secure/listing-status/{listing_id}
openapi: 3.1.0
info:
  title: FairSentry API
  description: >-
    API for FairSentry, an AI compliance platform for property managers to
    ensure compliance with fair housing laws.
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/secure/listing-status/{listing_id}:
    get:
      summary: Get Listing Status
      operationId: get_listing_status_api_v1_secure_listing_status__listing_id__get
      parameters:
        - name: listing_id
          in: path
          required: true
          schema:
            type: string
            title: Listing Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListingStatus'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ListingStatus:
      properties:
        listing_id:
          type: string
          title: Listing Id
          description: The unique identifier for the listing.
        compliant:
          type: boolean
          title: Compliant
          description: >-
            Whether the listing, based on the most recent compliance check, is
            currently potentiallycompliant with fair housing laws.
        noncompliant_since:
          anyOf:
            - type: string
            - type: 'null'
          title: Noncompliant Since
          description: >-
            The date when the listing became potentially non-compliant, if
            applicable.
        noncompliant_sections:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Noncompliant Sections
          description: >-
            The section_type's of the listing that are potentially
            non-compliant, if any.
        violation_categories:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Violation Categories
          description: The categories of potential violations found in the listing, if any.
        violation_summaries:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Violation Summaries
          description: Summaries of the potential violations found in the listing, if any.
        severity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Severity
          description: >-
            The maximum severity level of the potential violations found in the
            listing, if any.
        inactive:
          type: boolean
          title: Inactive
          description: Whether the listing is marked inactive or not.
      type: object
      required:
        - listing_id
        - compliant
        - inactive
      title: ListingStatus
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````